using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using xabaraCOM;

public partial class member_user_log : System.Web.UI.Page
{
    user u = new user();

    protected void Page_Load(object sender, EventArgs e)
    {
        string webTitle = xml.read("xabara.config", "webName", 180) + xml.read("xabara.config", "titleMeta", 180);
        Page.Title = "我的日志　" + webTitle;
        u.check("", url.before);

        if (!IsPostBack)
        {
            sqlServer sql = new sqlServer();
            string strSql = "select * from logLogin where userType='user' and userID='" + u.userCardID + "' order by id DESC";
            lblCurrentPage.Text = sql.RepeaterDB(RepeaterList, strSql, "", 20, "page", "center", true);
        }
    }

    public string ipStr(string str)
    {
        ipAddress ip = new ipAddress();
        return ip.addressCN(str);
    }
}